Jump to content

Leaderboard


Popular Content

Showing most liked content on 10/22/2017 in all areas

  1. 2 points
    PrestaHeroes by El Patron has completed several client 1.7 upgrade and we love it. Want a new kick ass shop with spectacular front office? Get fast free upgrade quote here. Happy PrestaShopping everyone!
  2. 1 point
    Ce fichier est un filtre fail2ban, il faut donc le déposer dans /etc/fail2ban/filter.d et ensuite créer une "jail" l'utilisant. Genre dans jail.local [prestashop-hack] maxretry = 0 enabled = true logpath = /var/log/apache*/*access.log /var/log/ispconfig/httpd/*/*-access.log filter = prestashop-hack action = iptables-allports[name=prestashop] findtime = 86400 bantime = 604800 Mais avant de déployer un truc, il faut un peu le lire, et si il y a des commentaires dedans, c'est souvent pour expliquer ce que ça fait et ce qu'il faut faire. Ceci pour dire toute la marche à suivre est dans le fichier lui-même en commentaire, pour le café ce sera donc double sucre, double crème, en cliquant 2 fois sur le bouton
  3. 1 point
    Getting closer some info so far - both errors the same just need to sort out the language part and might have success with both upgrade options Some things I tried #1 Not Working for me - Standard 1clickupgrade module (1.6.8) in 1.6.1.17 and choose advanced option - local archive - used and stored in admin/autoupgrade/download a modified 1.7.2.3 zip file as the 1clickupgrade modules needs it in the old 1.6 download format - Folder [prestashop/1.7 files] - zipped or it will not be found (1.7 download zip different) End result once upgrade started - [Ajax / Server Error for action upgradeDb] textStatus: "error " errorThrown:"Internal Server Error " jqXHR: " " #2 Working from 1.6.1.17 to 1.7.2.0 only then failed at further upgrade to 1.7.2.3 - Downgrade 1clickmodule to (1.6.7) in 1.6.1.17 from build.prestashop.com from article about a year old - choose major and follow prompts - It upgraded to 1.7.2.0 Tried to upgrade 1.7.2.0 via latest updated 1clickupgrade module (3.0.3) and it failed at database upgrade (same error as before) - [Ajax / Server Error for action upgradeDb] textStatus: "error " errorThrown:"Internal Server Error " jqXHR: " " PHP error [22-Oct-2017 17:04:59 Europe/Paris] PHP Notice: Use of undefined constant _PS_INSTALL_LANGS_PATH_ - assumed '_PS_INSTALL_LANGS_PATH_' in C:\xampp\htdocs\prestashop\src\PrestaShopBundle\Install\LanguageList.php on line 68 [22-Oct-2017 17:04:59 Europe/Paris] PHP Fatal error: Uncaught Error: Class 'PrestashopInstallerException' not found in C:\xampp\htdocs\prestashop\src\PrestaShopBundle\Install\LanguageList.php:69 Stack trace: #0 C:\xampp\htdocs\prestashop\src\PrestaShopBundle\Install\LanguageList.php(60): PrestaShopBundle\Install\LanguageList->__construct() #1 C:\xampp\htdocs\prestashop\admin1234\autoupgrade\latest\install\upgrade\php\migrate_tabs_17.php(56): PrestaShopBundle\Install\LanguageList::getInstance() #2 C:\xampp\htdocs\prestashop\modules\autoupgrade\AdminSelfUpgrade.php(2312): migrate_tabs_17() #3 C:\xampp\htdocs\prestashop\modules\autoupgrade\AdminSelfUpgrade.php(1992): AdminSelfUpgrade->doUpgrade() #4 C:\xampp\htdocs\prestashop\admin1234\autoupgrade\ajax-upgradetab.php(90): AdminSelfUpgrade->ajaxProcessUpgradeDb() #5 {main} thrown in C:\xampp\htdocs\prestashop\src\PrestaShopBundle\Install\LanguageList.php on line 69
  4. 1 point
    https://presta.site/blog/en/how-to-reset-the-admin-password-in-prestashop/
  5. 1 point
    ¿Qué versión de Prestashop usas? En Localización > Traducciones, sección Product tendrías que poder traducir los 3 títulos. Si no aparecen ahí puede que el fichero .tpl de product de la plantilla esté modificado "a capón". Este fichero tiene una ruta distinta si estás usando Prestashop 1.6 o 1.7
  6. 1 point
    Jest nazywa się ps_dataprivacy.
  7. 1 point
    Probablement que cette réponse ne sera pas vu par beaucoup de monde puisque les notifications forum sont en panne depuis 2 semaines et ce pour une durée inconnue, mais au cas où... J'ai écris un petit filtre fail2ban pour bloquer les hack scan prestashop, le voici ici https://area51.enter-solutions.com/snippets/81 Pensez à m'offrir un café
  8. 1 point
    what core controller are you trying to override?
  9. 1 point
    prak

    Unable to register a css file in my theme

    Hello, I'm trying to make a new theme for prestashop 1.7, I want to include a custom css file. I have followed instructions in the asset management page( http://developers.prestashop.com/themes/assets/index.html) and tried to register a custom css file with this code in the theme.yml, below the 'author' key and the above the 'meta' key this way: assets: css: all: -id: mytheme-css path: assets/css/mytheme.css media: all priority: 100 The css file isn't loaded. I am a beginner to yml. Help would be greatly appreciated!
×